Subject: [bug#68675] [PATCH] Support dhcpcd in dhcp-client-service-type

From: Sergey Trofimov <[email-masked]>
Date: Tue, 23 Jan 2024 20:52:43 +0100

[email-masked] writes:

> Specifically, this patch series adds support for dhcpcd. However, it
> is not yet enabled by default. Nonetheless, I would strongly suggest
> enabling it by default at a later point in time.
>
> In order to enable dhcpcd add the following to /etc/config.scm:
>
> 	(service dhcp-client-service-type
> 	         (dhcp-client-configuration
> 	           (package dhcpcd)))
>
> I have done some basics tests with this change applied with both
> dhcpcd and isc-dhcp. Further tests and feedback would be much
> appreciated!
>

Basic functionality works for me - my laptop receives an address.

Some things to fix:
1. 20-resolv.conf hook needs to be wrapped, it can't find `resolvconf`
currently (from openresolv)
2. %base-packages still contains isc-dhcp... why is it even needed?